<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Asignaciones Supervisión Mantenimiento</strong>
    </div>
    <div class="cotm">
      <div class="tmod">
        <strong>Asignaciones Supervisión Mantenimiento</strong>
        <div class="supSec">
          <strong
            >Trimestre : {{ this.getTrimestres() }} / Año:
            {{ anio.getFullYear() }}</strong
          >
        </div>
      </div>
    </div>
    <!-- termina Encabezado -->
    <div class="contSecc">
      <div class="titSec">
        <h2>Aquí puedes modificar asignaciones y añadir nuevas.</h2>
      </div>
    </div>
    <v-card>
      <tabla-asignacion-mtto ref="tabla"></tabla-asignacion-mtto>
    </v-card>
  </div>
</template>

<script>
import TablaAsignacionMtto from "../components/TablaAsignacionMtto.vue";
export default {
  name: "VisorAsignacionMtto",
  components: {
    TablaAsignacionMtto,
  },
  data() {
    return {
      quarter: "",
      trimestres: [
        { trimestre: "Enero-Marzo", id: 1 },
        {
          trimestre: "Abril-Junio",
          id: 2,
        },
        {
          trimestre: "Julio-Septiembre",
          id: 3,
        },
        {
          trimestre: "Octubre-Diciembre",
          id: 4,
        },
      ],
      d: new Date(),
      anio: new Date(),
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Supervisión Mantenimiento",
          disabled: false,
          exact: true,
          to: {
            name: "supervision_mantenimiento_asignaciones_home",
          },
        },
        {
          text: "Asignaciones Supervisión Mantenimiento",
          disabled: true,
        },
      ],
    };
  }, //fin
  methods: {
    getTrimestres() {
      this.quarter = Math.ceil(this.d.getMonth() / 3);
      return this.trimestres[this.quarter - 1].trimestre;
    },
  },
};
</script>

<style></style>
